Bug 860540 - background image not scaled when changing resolution
background image not scaled when changing resolution
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-session (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2012-09-26 02:01 EDT by Toni Willberg
Modified: 2017-12-06 05:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-06 05:38:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot of incorrectly scaled background picture (1.51 MB, image/png)
2012-09-26 02:01 EDT, Toni Willberg
no flags Details

  None (edit)
Description Toni Willberg 2012-09-26 02:01:24 EDT
Created attachment 617399 [details]
screenshot of incorrectly scaled background picture

Description of problem:
 Desktop background is not resized correctly when changing display resolution down and up again.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set display resolution to 1920x1080 using Display Preferences dialog
2. Change desktop background to file, choose "fill screen" style.
3. Set display resolution to 1280x800, observe the desktop background is scaled correctly
4. Set display resolution back to 1920x1080, now the desktop background is not scaled correctly.

In my environment I have two monitors, did the test on 2nd monitor as seen on the screenshot.
Actual results:
 See screenshot

Expected results:
 Correctly scaled background picture

Additional info:

 I'm not sure about correct component, please correct if needed.
Comment 2 RHEL Product and Program Management 2013-10-13 20:25:41 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 3 Jan Kurik 2017-12-06 05:38:58 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:


This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:


Note You need to log in before you can comment on or make changes to this bug.